Upload observations for a stream

Below examples demonstrate uploading different type of observations. The observation payload type must match the stream result type.

Scalar Stream Example

{
  "results" : [
    {
      "t" : "2015-11-12T00:00:00.000Z",
      "v" : {
        "v" : 1.0
      }
    }
  ]
}

Geolocation Stream Example

{
  "results" : [
    {
      "t": "2014-10-07T00:47:03.000Z",
      "v": {
        "p": {
          "type": "Point",
          "coordinates": [
            150.369105,
            -31.742179,
            415.8
          ]
        }
      }
    }
  ]
}

Image Stream Example

The image file must be Base64 encoded in the imageData property. The supported mime types are "image/tiff", "image/jpeg" and "image/png".

{
  "results": [{
    "t": "2018-01-03T00:00:00.000Z",
      "v": {
        "m": "image/jpeg",
        "d": "[insert base64 encoded image binary data here]"
      }
    }
  ]
}

Vector Stream Example

{
  "results" : [
    {
      "t" : "2015-11-12T00:00:00.000Z",
      "v" : {
        "v" : [1.0, 2.0, 3.0, 4.0, 5.0, 6.0, 7.0, 8.0, 9.0, 10.0]
      }
    }
  ]
}

Document Stream Example

Use field "d" for "text/plain", and field "j" for "application/json".

{
  "results" : [
    {
      "t" : "2015-11-12T00:00:00.000Z",
      "v" : {
        "j" : {"a_key": "a_value"}
      }
    }
  ]
}
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
string
required
Body Params
results
array of objects
results
Responses
201

Observsations uploaded successfully

400

Bad request

401

Unauthorised

Language
Credentials
:
LoadingLoading…
Response
Click Try It! to start a request and see the response here!